Bug 142191 - Wakeup from APM sleep causes screen savers to immediately trigger
Wakeup from APM sleep causes screen savers to immediately trigger
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-12-07 19:39 EST by Andrew D. Stadler
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-05 11:12:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2004-12-07 19:39:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I use APM for sleep on my thinkpad.  When I wake the machine up, it
seems to immediately kick into the screen saver.  This takes time to
enter and time to return from, slowing the wakeup process.

My guess is that the screen saver is being fooled by what seems to be
a long period of inactivity.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  enable screensaver
2.  /usr/bin/apm -s 
3.  wait a while
4.  wake up machine

Actual Results:  screen saver immediately kicks in

Expected Results:  no screen saver, since powering up the machine is a
"user action"

Additional info:
Comment 1 petrosyan 2004-12-28 12:14:14 EST
The same thing happens on my thinkpad using ACPI sleep mode.
This is very annoying and should be fixed.
Comment 2 Jamie Zawinski 2005-02-27 22:40:41 EST
When you close the lid, the CPU halts immediately.  When you open the lid, it
starts up again -- except now the wall clock has jumped dramatically.  There's
no way for xscreensaver to know that the machine had been suspended, only that
suddenly a lot of time has passed, and now it's time for the screen to blank.
Comment 3 Matthew Miller 2006-07-10 17:39:01 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-11-05 11:12:11 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.